Solved Samba - Problematic File - Error Code 70

ThePieMonster

New Member

Reaction score: 1
Messages: 6

So I have what is probably a simple issue but haven't found a solution yet. When trying to install Samba I'm getting a Problematic File, Error code 70 error which I pasted below.

Code:
Installing samba36-3.6.25_3...
pkg-static: samba36-3.6.25_3 conflicts with samba36-smbclient-3.6.25 (installs files into the same place).  Problematic file: /usr/local/bin/smbclient
*** Error code 70
Stop.
make[1]: stopped in /usr/ports/net/samba36
*** Error code 1
Stop.
make: stopped in /usr/ports/net/samba36

I figured that the file that was causing a issue would need to be deleted so I checked the /usr/local/bin directory for the smbclient file but it doesn't appear to be there.
Code:
lrwxr-xr-x   1 root  wheel        4 Jul 27 21:56 ri -> ri22
-rwxr-xr-x   1 root  wheel      192 Jul 27 21:56 ri22
lrwxr-xr-x   1 root  wheel        6 Jul 27 21:56 ruby -> ruby22
-rwxr-xr-x   1 root  wheel     5776 Jul 27 21:56 ruby22
lrwxr-xr-x   1 root  wheel        3 Sep 10 23:23 rview -> vim
lrwxr-xr-x   1 root  wheel        3 Sep 10 23:23 rvim -> vim
-rwxr-xr-x   2 root  wheel    53353 Sep 17 22:50 s2p
-r-xr-xr-x  44 root  wheel      332 Aug 15 23:59 scan-build37
-r-xr-xr-x  44 root  wheel      332 Aug 15 23:59 scan-view37
-rwxr-xr-x   1 root  wheel     6958 Sep 18 13:55 scons
-rwxr-xr-x   1 root  wheel     6958 Sep 18 13:55 scons-2.5.0
-rwxr-xr-x   1 root  wheel    48769 Apr  9 14:29 scons-time
-rwxr-xr-x   1 root  wheel    48769 Apr  9 14:29 scons-time-2.5.0
-rwxr-xr-x   1 root  wheel    18242 Apr  9 17:38 sconsign
-rwxr-xr-x   1 root  wheel    18242 Apr  9 17:38 sconsign-2.5.0
-r-xr-xr-x   1 root  wheel    26240 Jul 27 21:48 sexp-conv
-rwxr-xr-x   1 root  wheel     9077 Sep 17 22:50 shasum
-rwxr-xr-x   1 root  wheel     9394 Sep 17 22:32 shasum5.24.1
-rwxr-xr-x   1 root  wheel    18780 Sep 17 22:50 splain
-rwxr-xr-x   1 root  wheel    18832 Sep 17 22:32 splain5.24.1
-rwxr-xr-x   1 root  wheel   788920 Sep 18 13:54 sqlite3
-rwxr-xr-x   1 root  wheel   118776 Sep 10 21:25 srptool
-rwxr-xr-x   1 root  wheel   280208 Sep 18 14:04 svn
-rwxr-xr-x   1 root  wheel     9784 Sep 18 14:04 svn-populate-node-origins-index
-rwxr-xr-x   1 root  wheel    82824 Sep 18 14:04 svnadmin
-rwxr-xr-x   1 root  wheel    25608 Sep 18 14:04 svnauthz
-rwxr-xr-x   1 root  wheel    25608 Sep 18 14:04 svnauthz-validate
-rwxr-xr-x   1 root  wheel    58600 Sep 18 14:04 svnbench
-rwxr-xr-x   1 root  wheel     7904 Sep 18 14:04 svndiff
-rwxr-xr-x   1 root  wheel     9256 Sep 18 14:04 svndiff3
-rwxr-xr-x   1 root  wheel     7376 Sep 18 14:04 svndiff4
-rwxr-xr-x   1 root  wheel    34344 Sep 18 14:04 svndumpfilter
-rwxr-xr-x   1 root  wheel    35176 Sep 18 14:04 svnfsfs
-rwxr-xr-x   1 root  wheel    66744 Sep 18 14:04 svnlook
-rwxr-xr-x   1 root  wheel    25160 Sep 18 14:04 svnmucc
-rwxr-xr-x   1 root  wheel    13352 Sep 18 14:04 svnraisetreeconflict
-rwxr-xr-x   1 root  wheel    51144 Sep 18 14:04 svnrdump
-rwxr-xr-x   1 root  wheel    84392 Sep 18 14:04 svnserve
-rwxr-xr-x   1 root  wheel    50720 Sep 18 14:04 svnsync
-rwxr-xr-x   1 root  wheel    12632 Sep 18 14:04 svnversion
-rwxr-xr-x   1 root  wheel    17552 Aug 29 21:51 sxpm
-rwxr-xr-x   1 root  wheel     5768 Jul 27 21:41 tclsh8.6
-rwxr-xr-x   1 root  wheel    15500 Sep 30 23:30 tdbbackup
-rwxr-xr-x   1 root  wheel    12934 Sep 30 23:30 tdbdump
-rwxr-xr-x   1 root  wheel    12599 Sep 30 23:30 tdbrestore
-rwxr-xr-x   1 root  wheel    25985 Sep 30 23:30 tdbtool
-rwxr-xr-x   1 root  wheel    16504 Jul 27 21:48 thumbnail
 
Last edited by a moderator:

leebrown66

Well-Known Member

Reaction score: 175
Messages: 445

That version was discontinued March 2015. You could try contacting the port maintainer (see the freshports page).
Better yet, if you can, use a current version. They you have the samba mailing list to help and folk here are more likely to have a similar environment.
 
OP
ThePieMonster

ThePieMonster

New Member

Reaction score: 1
Messages: 6

That version was discontinued March 2015. You could try contacting the port maintainer (see the freshports page).
Better yet, if you can, use a current version. They you have the samba mailing list to help and folk here are more likely to have a similar environment.

So actually I am getting this Error 70 no matter what version I install. It keeps conflicting. Is there a way to force the install?
Code:
Installing samba44-4.4.5_1...
pkg-static: samba44-4.4.5_1 conflicts with samba36-smbclient-3.6.25 (installs files into the same place).  Problematic file: /usr/local/bin/smbclient
*** Error code 70
Stop.
make[1]: stopped in /usr/ports/net/samba44
*** Error code 1
Stop.
make: stopped in /usr/ports/net/samba44
 

leebrown66

Well-Known Member

Reaction score: 175
Messages: 445

Remove samba36-smbclient-3.6.25 first. You'll get a new /usr/local/bin/smbclient with samba44.
 
OP
ThePieMonster

ThePieMonster

New Member

Reaction score: 1
Messages: 6

Remove samba36-smbclient-3.6.25 first. You'll get a new /usr/local/bin/smbclient with samba44.
So I went to look for that file but it wasn't there on the system. So what I ended up doing was typing pkg install samba36 and it went through and cleaned up and then proceeded to install Samba.
 

leebrown66

Well-Known Member

Reaction score: 175
Messages: 445

It's just looking at the list of files for the ports (or packages) already installed. If those files were deleted in some other fashion, that's outside the scope of sanity checking. If I'm not mistaken you had installed the smbclient and somehow removed it without updating the ports database, ie using rm instead of the appropriate make deinstall/ pkg remove.

Mixing ports and packages is generally not a good idea, it's best to stick with one or the other, but I'm glad pkg figured it out for you.
 
OP
ThePieMonster

ThePieMonster

New Member

Reaction score: 1
Messages: 6

It's just looking at the list of files for the ports (or packages) already installed. If those files were deleted in some other fashion, that's outside the scope of sanity checking. If I'm not mistaken you had installed the smbclient and somehow removed it without updating the ports database, ie using rm instead of the appropriate make deinstall/ pkg remove.

Mixing ports and packages is generally not a good idea, it's best to stick with one or the other, but I'm glad pkg figured it out for you.
Haha yep that's exactly what happened. Thanks for your help.
 
Top